VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Application"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

'for beeing lazy I just the same form as the one in the project
'where I test the user controll
'to access the forms only method we are interested in
'I added a friend property to it. Since forms never are seen
'from the outside world this could also be public. Or no property at all for
'forms are allways public.
'But since we pretend VB is object oriented ..

'who is our peer?
Dim mvarPeer As Long    'our peers window handle

Dim WithEvents mvarForm As frmShowCtrl
Attribute mvarForm.VB_VarHelpID = -1
Public Event PictureClicked()

Private Sub Class_Initialize()
  Set mvarForm = New frmShowCtrl
End Sub

'***********************************
'mvarForm_PictureClicked
'when we land here we are at the end of
'a chain of events
'a:user clicked picture
'   b:RRControll raised event PictureClicked
'     which was serviced by
'     c:mvarForm raising its event PictureClicked
'       so now its our job to inform our container
'       of this fact
'       we will do this trough two different chanels
'       1. We raise an event. This will reach any COM client
'       2. If we know whom we are talking to, we send her a
'          message
Private Sub mvarForm_PictureClicked()
  RaiseEvent PictureClicked
  If (mvarPeer) Then
    'we just send a message. Since we have only one single
    'information to convey (the fact that the picture was clicked)
    'we can set lparam and wparam to any value. I set them to 0
    'WM_USER + 9999 is just any messagenumber our peer is ready to
    'react on
    Call PostMessage(mvarPeer, WM_USER + 9999, 0, 0)
  End If
End Sub

'give our peer a way to inform us who she is
Public Sub SetPeer(ByVal Peer As Long)
  mvarPeer = Peer
End Sub

'and also to show and hide us
Public Sub Show(ByVal Modal As Long)
  mvarForm.Show (Modal)
End Sub
Public Sub Hide()
  mvarForm.Hide
End Sub

Public Sub FlippIt()
  mvarForm.FlippIt
End Sub

